goocanvasmm: Goocanvas::Style Class Reference

goocanvasmm 1.90.11

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Goocanvas::Style Class Reference
Inheritance diagram for Goocanvas::Style:
[legend]

## Public Member Functions
| Style (Style&& src) noexcept
Style& | operator= (Style&& src) noexcept
virtual | ~Style () noexcept
GooCanvasStyle* | gobj ()
| Provides access to the underlying C GObject. More...
const GooCanvasStyle* | gobj () const
| Provides access to the underlying C GObject. More...
GooCanvasStyle* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
template<typename PropertyType >
void | get_property (GQuark property_id, PropertyType& value) const
template<typename PropertyType >
void | set_property (GQuark property_id, const PropertyType& value)
Glib::RefPtr< Style > | copy () const
| Copies the given Goo::CanvasStyle, by copying all of its properties. More...
Glib::RefPtr< Style > | get_parent () const
| Gets the parent of the style. More...
void | set_parent (const Glib::RefPtr< Style >& style)
| Sets the parent of the style. More...
bool | set_stroke_options (const Cairo::RefPtr< Cairo::Context >& context)
| Sets the standard cairo stroke options using the given style. More...
bool | set_fill_options (const Cairo::RefPtr< Cairo::Context >& context)
| Sets the standard cairo fill options using the given style. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable ()
| trackable (const trackable &src)
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Style > | create ()

## Protected Member Functions
| Style ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object () noexcept
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Goocanvas::Style > | wrap (GooCanvasStyle* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify) (gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Constructor & Destructor Documentation

Goocanvas::Style::Style | ( | Style&& | src | ) |
| noexcept

virtual Goocanvas::Style::~Style | ( |  | ) |
| virtualnoexcept

Goocanvas::Style::Style | ( |  | ) |
| protected

## Member Function Documentation

Glib::RefPtr<Style> Goocanvas::Style::copy | ( |  | ) | const

Copies the given Goo::CanvasStyle, by copying all of its properties.

Though the parent of the new style is left unset.

Returns
  A copy of the given Goo::CanvasStyle.

static Glib::RefPtr<Style> Goocanvas::Style::create | ( |  | ) |
| static

Glib::RefPtr<Style> Goocanvas::Style::get_parent | ( |  | ) | const

Gets the parent of the style.

Returns
  The parent of the given style, or `0`.

template <typename PropertyType >

void Goocanvas::Style::get_property | ( | GQuark | property_id,
|  | PropertyType & | value
| ) |  | const
| inline

static GType Goocanvas::Style::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GooCanvasStyle* Goocanvas::Style::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GooCanvasStyle* Goocanvas::Style::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GooCanvasStyle* Goocanvas::Style::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Style& Goocanvas::Style::operator= | ( | Style&& | src | ) |
| noexcept

bool Goocanvas::Style::set_fill_options | ( | const Cairo::RefPtr< Cairo::Context > & | context | ) |

Sets the standard cairo fill options using the given style.

Parameters

  context | A cairo context.

Returns
  `true` if a paint source is set, or `false` if the fill should be skipped.

void Goocanvas::Style::set_parent | ( | const Glib::RefPtr< Style >& | style | ) |

Sets the parent of the style.

Parameters

  style | The new parent.

template <typename PropertyType >

void Goocanvas::Style::set_property | ( | GQuark | property_id,
|  | const PropertyType & | value
| ) |  |
| inline

bool Goocanvas::Style::set_stroke_options | ( | const Cairo::RefPtr< Cairo::Context > & | context | ) |

Sets the standard cairo stroke options using the given style.

Parameters

  context | A cairo context.

Returns
  `true` if a paint source is set, or `false` if the stroke should be skipped.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::Style > wrap | ( | GooCanvasStyle * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/style.h